{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdeacmodes/DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      }
    } ],
    "pagingSize" : 50,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdeacmodes/DEFAULT",
    "getTextPSAppDEField" : {
      "name" : "IBIZSAMPLE0021NAME",
      "codeName" : "IBIZSample0021Name"
    },
    "getValuePSAppDEField" : {
      "name" : "IBIZSAMPLE0021ID",
      "codeName" : "IBIZSample0021Id"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Get",
    "requestField" : "IBIZSAMPLE0021ID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Remove",
    "requestField" : "IBIZSAMPLE0021ID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021ID/psappdefuimodes/MobileDefault",
      "name" : "[IBIZSAMPLE0021ID][订单标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021ID",
          "mOSFilePath" : "pslanguageres/Auto2072",
          "rTMOSFilePath" : "pslanguageres/Auto2072"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021ID/psdefformitems/MobileDefault",
        "name" : "[IBIZSAMPLE0021ID][订单标识]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Id/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Id/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021ID/psappdefuimodes/Default",
      "name" : "[IBIZSAMPLE0021ID][订单标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021ID",
          "mOSFilePath" : "pslanguageres/Auto2072",
          "rTMOSFilePath" : "pslanguageres/Auto2072"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021ID/psdefformitems/Default",
        "name" : "[IBIZSAMPLE0021ID][订单标识]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Id/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Id/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "IBIZSample0021Id",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021ID",
      "mOSFilePath" : "pslanguageres/Auto2072",
      "rTMOSFilePath" : "pslanguageres/Auto2072"
    },
    "logicName" : "订单标识",
    "name" : "IBIZSAMPLE0021ID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Id",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEMAN/psappdefuimodes/Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "mOSFilePath" : "pslanguageres/Auto859",
          "rTMOSFilePath" : "pslanguageres/Auto859"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEMAN/psdefformitems/Default",
        "name" : "[CREATEMAN][建立人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "mOSFilePath" : "pslanguageres/Auto859",
          "rTMOSFilePath" : "pslanguageres/Auto859"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEMAN/psdefformitems/MobileDefault",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN",
      "mOSFilePath" : "pslanguageres/Auto859",
      "rTMOSFilePath" : "pslanguageres/Auto859"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEDATE/psappdefuimodes/Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "mOSFilePath" : "pslanguageres/Auto964",
          "rTMOSFilePath" : "pslanguageres/Auto964"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEDATE/psdefformitems/Default",
        "name" : "[CREATEDATE][建立时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "mOSFilePath" : "pslanguageres/Auto964",
          "rTMOSFilePath" : "pslanguageres/Auto964"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CREATEDATE/psdefformitems/MobileDefault",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE",
      "mOSFilePath" : "pslanguageres/Auto964",
      "rTMOSFilePath" : "pslanguageres/Auto964"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/CreateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021NAME/psappdefuimodes/MobileDefault",
      "name" : "[IBIZSAMPLE0021NAME][订单名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021NAME",
          "mOSFilePath" : "pslanguageres/Auto2018",
          "rTMOSFilePath" : "pslanguageres/Auto2018"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021NAME/psdefformitems/MobileDefault",
        "name" : "[IBIZSAMPLE0021NAME][订单名称]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Name/psdefformitems/MobileDefault",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Name/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021NAME/psappdefuimodes/Default",
      "name" : "[IBIZSAMPLE0021NAME][订单名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021NAME",
          "mOSFilePath" : "pslanguageres/Auto2018",
          "rTMOSFilePath" : "pslanguageres/Auto2018"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/IBIZSAMPLE0021NAME/psdefformitems/Default",
        "name" : "[IBIZSAMPLE0021NAME][订单名称]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Name/psdefformitems/Default",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Name/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "IBIZSample0021Name",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZSAMPLE0021NAME",
      "mOSFilePath" : "pslanguageres/Auto2018",
      "rTMOSFilePath" : "pslanguageres/Auto2018"
    },
    "logicName" : "订单名称",
    "name" : "IBIZSAMPLE0021NAME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/IBIZSample0021Name",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "mOSFilePath" : "pslanguageres/Auto202",
          "rTMOSFilePath" : "pslanguageres/Auto202"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEMAN/psdefformitems/MobileDefault",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEMAN/psappdefuimodes/Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "mOSFilePath" : "pslanguageres/Auto202",
          "rTMOSFilePath" : "pslanguageres/Auto202"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEMAN/psdefformitems/Default",
        "name" : "[UPDATEMAN][更新人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN",
      "mOSFilePath" : "pslanguageres/Auto202",
      "rTMOSFilePath" : "pslanguageres/Auto202"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "rTMOSFilePath" : "pslanguageres/Auto1074"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEDATE/psdefformitems/MobileDefault",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEDATE/psappdefuimodes/Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "rTMOSFilePath" : "pslanguageres/Auto1074"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/UPDATEDATE/psdefformitems/Default",
        "name" : "[UPDATEDATE][更新时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "mOSFilePath" : "pslanguageres/Auto1074",
      "rTMOSFilePath" : "pslanguageres/Auto1074"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/UpdateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERSTATE/psappdefuimodes/MobileDefault",
      "name" : "[ORDERSTATE][订单状态]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERSTATE",
          "mOSFilePath" : "pslanguageres/Auto1017",
          "rTMOSFilePath" : "pslanguageres/Auto1017"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDROPDOWNLIST",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERSTATE/psdefformitems/MobileDefault",
        "name" : "[ORDERSTATE][订单状态]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderState/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderState/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERSTATE/psappdefuimodes/Default",
      "name" : "[ORDERSTATE][订单状态]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERSTATE",
          "mOSFilePath" : "pslanguageres/Auto1017",
          "rTMOSFilePath" : "pslanguageres/Auto1017"
        },
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERSTATE/psdefformitems/Default",
        "name" : "[ORDERSTATE][订单状态]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderState/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "needCodeListConfig" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderState/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "OrderState",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.ORDERSTATE",
      "mOSFilePath" : "pslanguageres/Auto1017",
      "rTMOSFilePath" : "pslanguageres/Auto1017"
    },
    "logicName" : "订单状态",
    "name" : "ORDERSTATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderState",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERTIME/psappdefuimodes/MobileDefault",
      "name" : "[ORDERTIME][订单时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERTIME",
          "mOSFilePath" : "pslanguageres/Auto691",
          "rTMOSFilePath" : "pslanguageres/Auto691"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERTIME/psdefformitems/MobileDefault",
        "name" : "[ORDERTIME][订单时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderTime/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderTime/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERTIME/psappdefuimodes/Default",
      "name" : "[ORDERTIME][订单时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERTIME",
          "mOSFilePath" : "pslanguageres/Auto691",
          "rTMOSFilePath" : "pslanguageres/Auto691"
        },
        "codeName" : "Default",
        "editorType" : "DATEPICKEREX_NOTIME",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/ORDERTIME/psdefformitems/Default",
        "name" : "[ORDERTIME][订单时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderTime/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderTime/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "OrderTime",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.ORDERTIME",
      "mOSFilePath" : "pslanguageres/Auto691",
      "rTMOSFilePath" : "pslanguageres/Auto691"
    },
    "logicName" : "订单时间",
    "name" : "ORDERTIME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/OrderTime",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/MEMO/psappdefuimodes/Default",
      "name" : "[MEMO][备注]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.MEMO",
          "mOSFilePath" : "pslanguageres/Auto269",
          "rTMOSFilePath" : "pslanguageres/Auto269"
        },
        "codeName" : "Default",
        "editorType" : "TEXTAREA_10",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/MEMO/psdefformitems/Default",
        "name" : "[MEMO][备注]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Memo/psdefformitems/Default",
        "stringLength" : 2000,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Memo/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/MEMO/psappdefuimodes/MobileDefault",
      "name" : "[MEMO][备注]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.MEMO",
          "mOSFilePath" : "pslanguageres/Auto269",
          "rTMOSFilePath" : "pslanguageres/Auto269"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXTAREA",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/MEMO/psdefformitems/MobileDefault",
        "name" : "[MEMO][备注]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Memo/psdefformitems/MobileDefault",
        "stringLength" : 2000,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Memo/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Memo",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.MEMO",
      "mOSFilePath" : "pslanguageres/Auto269",
      "rTMOSFilePath" : "pslanguageres/Auto269"
    },
    "logicName" : "备注",
    "name" : "MEMO",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Memo",
    "stdDataType" : 25,
    "stringLength" : 2000
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURORGID/psappdefuimodes/MobileDefault",
      "name" : "[CURORGID][CURORGID]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURORGID/psdefformitems/MobileDefault",
        "name" : "[CURORGID][CURORGID]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curorgid/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curorgid/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURORGID/psappdefuimodes/Default",
      "name" : "[CURORGID][CURORGID]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURORGID/psdefformitems/Default",
        "name" : "[CURORGID][CURORGID]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curorgid/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curorgid/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "Curorgid",
    "logicName" : "CURORGID",
    "name" : "CURORGID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curorgid",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURDEPTID/psappdefuimodes/Default",
      "name" : "[CURDEPTID][CURDEPTID]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURDEPTID/psdefformitems/Default",
        "name" : "[CURDEPTID][CURDEPTID]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curdeptid/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curdeptid/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURDEPTID/psappdefuimodes/MobileDefault",
      "name" : "[CURDEPTID][CURDEPTID]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/CURDEPTID/psdefformitems/MobileDefault",
        "name" : "[CURDEPTID][CURDEPTID]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curdeptid/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curdeptid/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Curdeptid",
    "logicName" : "CURDEPTID",
    "name" : "CURDEPTID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Curdeptid",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/AMOUNT/psappdefuimodes/Default",
      "name" : "[AMOUNT][总计]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT",
          "mOSFilePath" : "pslanguageres/Auto1741",
          "rTMOSFilePath" : "pslanguageres/Auto1741"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/AMOUNT/psdefformitems/Default",
        "name" : "[AMOUNT][总计]",
        "precision" : 2,
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Amount/psdefformitems/Default",
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Amount/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/AMOUNT/psappdefuimodes/MobileDefault",
      "name" : "[AMOUNT][总计]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT",
          "mOSFilePath" : "pslanguageres/Auto1741",
          "rTMOSFilePath" : "pslanguageres/Auto1741"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/AMOUNT/psdefformitems/MobileDefault",
        "name" : "[AMOUNT][总计]移动端默认",
        "precision" : 2,
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Amount/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Amount/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Amount",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT",
      "mOSFilePath" : "pslanguageres/Auto1741",
      "rTMOSFilePath" : "pslanguageres/Auto1741"
    },
    "logicName" : "总计",
    "name" : "AMOUNT",
    "precision" : 2,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/Amount",
    "stdDataType" : 7
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADS/psappdefuimodes/Default",
      "name" : "[DEPTHEADS][部门领导]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADS/psdefformitems/Default",
        "name" : "[DEPTHEADS][部门领导]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeads/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeads/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADS/psappdefuimodes/MobileDefault",
      "name" : "[DEPTHEADS][部门领导]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADS/psdefformitems/MobileDefault",
        "name" : "[DEPTHEADS][部门领导]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeads/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeads/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "DeptHeads",
    "logicName" : "部门领导",
    "name" : "DEPTHEADS",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeads",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADSID/psappdefuimodes/MobileDefault",
      "name" : "[DEPTHEADSID][部门领导标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADSID/psdefformitems/MobileDefault",
        "name" : "[DEPTHEADSID][部门领导标识]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeadsId/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeadsId/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADSID/psappdefuimodes/Default",
      "name" : "[DEPTHEADSID][部门领导标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdefields/DEPTHEADSID/psdefformitems/Default",
        "name" : "[DEPTHEADSID][部门领导标识]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeadsId/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeadsId/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "DeptHeadsId",
    "logicName" : "部门领导",
    "name" : "DEPTHEADSID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdefields/DeptHeadsId",
    "stdDataType" : 25,
    "stringLength" : 100
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "IBIZSample0021DTO",
    "name" : "IBIZSample0021DTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "Amount",
      "logicName" : "总计",
      "name" : "Amount",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/Amount",
      "sourceType" : "DEFIELD",
      "stdDataType" : 7,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateDate",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/CreateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/CreateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "Curdeptid",
      "logicName" : "CURDEPTID",
      "name" : "Curdeptid",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CURDEPTID",
        "codeName" : "Curdeptid"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/Curdeptid",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Curorgid",
      "logicName" : "CURORGID",
      "name" : "Curorgid",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "CURORGID",
        "codeName" : "Curorgid"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/Curorgid",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "DeptHeads",
      "logicName" : "部门领导",
      "name" : "DeptHeads",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "DEPTHEADS",
        "codeName" : "DeptHeads"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/DeptHeads",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "DeptHeadsId",
      "logicName" : "部门领导",
      "name" : "DeptHeadsId",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "DEPTHEADSID",
        "codeName" : "DeptHeadsId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/DeptHeadsId",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "IBIZSample0021Id",
      "logicName" : "订单标识",
      "name" : "IBIZSample0021Id",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/IBIZSample0021Id",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZSample0021Name",
      "logicName" : "订单名称",
      "name" : "IBIZSample0021Name",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/IBIZSample0021Name",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Memo",
      "logicName" : "备注",
      "name" : "Memo",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "MEMO",
        "codeName" : "Memo"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/Memo",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "OrderState",
      "logicName" : "订单状态",
      "name" : "OrderState",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/OrderState",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "OrderTime",
      "logicName" : "订单时间",
      "name" : "OrderTime",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/OrderTime",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/UpdateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "orderValue" : 1000,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO/psappdemethoddtofields/UpdateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021DTO",
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "IBIZSample0021FilterDTO",
    "name" : "IBIZSample0021FilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_IBIZSAMPLE0021ID_EQ",
      "logicName" : "订单标识",
      "name" : "N_IBIZSAMPLE0021ID_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021FilterDTO/psappdemethoddtofields/N_IBIZSAMPLE0021ID_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZSAMPLE0021NAME_LIKE",
      "logicName" : "订单名称",
      "name" : "N_IBIZSAMPLE0021NAME_LIKE",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021FilterDTO/psappdemethoddtofields/N_IBIZSAMPLE0021NAME_LIKE",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_ORDERSTATE_EQ",
      "logicName" : "订单状态",
      "name" : "N_ORDERSTATE_EQ",
      "orderValue" : 99999,
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021FilterDTO/psappdemethoddtofields/N_ORDERSTATE_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethoddtos/IBIZSample0021FilterDTO",
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Get",
    "requestField" : "IBIZSAMPLE0021ID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Remove",
    "requestField" : "IBIZSAMPLE0021ID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSample0021DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterCreate",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterFetch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterGet",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterGetDraft",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterRemove",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterSearch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/FilterUpdate",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021/psappdemethods/Select",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021WFDynaActionView.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021WFDynaExpGridView.json",
    "viewType" : "DEWFDYNAEXPGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021Usr1114433946WFDynaEditView.json",
    "viewType" : "DEWFDYNAEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021WFDynaEditView.json",
    "viewType" : "DEWFDYNAEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021SENDBACKWFDynaActionView.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021Usr1114865995WFDynaEditView3.json",
    "viewType" : "DEWFDYNAEDITVIEW3"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021ADDSTEPAFTERWFDynaActionView.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021Usr1116491232WFDynaStartView.json",
    "viewType" : "DEWFDYNASTARTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021WFDynaActionView_layout.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021GridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021EditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021REASSIGNWFDynaActionView.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021WFDynaExpGridView_layout.json",
    "viewType" : "DEWFDYNAEXPGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021GridView_layout.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021ADDSTEPBEFOREWFDynaActionView.json",
    "viewType" : "DEWFDYNAACTIONVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/CREATE",
    "name" : "CREATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/CREATE"
  }, {
    "logicName" : "删除",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/DELETE",
    "name" : "DELETE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/DELETE"
  }, {
    "logicName" : "读取",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/READ",
    "name" : "READ",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/READ"
  }, {
    "logicName" : "更新",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/UPDATE",
    "name" : "UPDATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeopprivs/UPDATE"
  } ],
  "codeName" : "IBIZSample0021",
  "dEAPITag" : "IBIZSAMPLE0021",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "IBIZSAMPLE0021ID",
    "codeName" : "IBIZSample0021Id"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZSAMPLE0021",
    "mOSFilePath" : "pslanguageres/Auto2070",
    "rTMOSFilePath" : "pslanguageres/Auto2070"
  },
  "logicName" : "订单",
  "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021",
  "getMainStatePSAppDEFields" : [ {
    "name" : "ORDERSTATE",
    "codeName" : "OrderState"
  } ],
  "getMajorPSAppDEField" : {
    "name" : "IBIZSAMPLE0021NAME",
    "codeName" : "IBIZSample0021Name"
  },
  "name" : "IBIZSAMPLE0021",
  "getOrgIdPSAppDEField" : {
    "name" : "CURORGID",
    "codeName" : "Curorgid"
  },
  "getPSDEName" : "IBIZSAMPLE0021",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "IBIZSample0021"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSample0021.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/DemoAPI.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "IBIZSAMPLE0021NAME",
    "codeName" : "IBIZSample0021Name"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZSample0021",
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableDEMainState" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}